<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN">

		<?php

			define("NUM_LINES", 8);
			define("NUM_COLS", 50);

		?>
<html>
<head>
	<title>miniPOV - codegenerator</title>

	<style type="text/css">

	body
	{
		font-family: Arial;
	}

	table.display
	{
		border-spacing: 0px;
	}

	table.display tr td
	{
	}

	table.display tr.draw_area td
	{
		height: 23px;
		width: 17px;
		border: 2px solid #333333;
	}

	table.display tr.draw_area td.empty
	{
		background: #444444;
	}

	table.display tr.draw_area td.empty:hover
	{
		background: #5B5B5B;
	}

	table.display tr.draw_area td.filled
	{
		background: #DD0000;
	}

	table.display tr.draw_area td.filled:hover
	{
		background: #FF3333;
	}

	div.stift table
	{
		cursor: pointer;
		cursor: url(paint.png) 2 12, pointer;
	}

	div.radierer table
	{
		cursor: pointer;
		cursor: url(eraser.png) 2 12, pointer;
	}

	div.text table
	{
		cursor: pointer;
		cursor: url(textcolor.png) 4 12, pointer;
	}

	table.display tr.other_area td
	{
		text-align:center;
		margin: 0px;
	}

	table.display tr.other_area
	{
		cursor: auto;
	}


	ul.tab_nav
	{
		float: left;
		margin: 0px;
		padding: 0px;
		list-style: none; 
	}

	ul.tab_nav li
	{
		border: 1px solid #0000DD;
		background: #DDDDFF;
		margin: 5px;
		padding: 3px;
		margin-right: 0px;
		border-right: none;
		cursor: pointer;
	}

	ul.tab_nav li:hover
	{
		background: #C6C6FF;
	}

	ul.tab_nav li.active
	{
		background: #AAAAFF;
		cursor: auto;
	}

	div.tab_content
	{
		float: left;
		width: 600px;
		height: 300px;
		border: 1px solid #0000DD;
		border-left: none;
		margin-left: 0px;
		background: #DDDDFF;
		padding-left: 3px;
	}

	div.tab_seperator
	{
		float: left;
		width: 15px;
		height: 300px;
		border: 1px solid #0000DD;
		border-right: none;
		background: #AAAAFF;
	}

	div.tab_end
	{
		clear: both;
	}

	span.button
	{
		border: 1px solid #0000DD;
		background: #DDDDFF;
		padding: 3px;
		line-height: 35px;
		cursor: pointer;
	}

	span.button:hover
	{
		background: #C6C6FF;
	}

	</style>

	<script type="text/javascript" src="font.js"></script>
	<script type="text/javascript">
	<!--
		var status = "stift";
		var mouseclicked = false;

		function fix_digits_3(number)
		{
			if(number < 10)
				return "00" + number;
			if(number < 100)
				return "0" + number;
			return number;
		}

		window.captureEvents(Event.KEYPRESS);
		window.onkeypress = Ausgabe;
		function Ausgabe(Ereignis)
		{
			taste = Ereignis.which;
//			alert("Sie haben die Taste mit dem Wert " + Ereignis.which + " gedrueckt");
/*			if(taste == 114) // R
				status = "radierer-fill";
			if(taste == 101) // E
				status = "radierer";
			if(taste == 100) // D
				status = "stift";
			if(taste == 102) // F
				status = "stift-fill";
			set_info("status: " + status + " / " + taste + " pressed");
*/
		}

		function fill_click(panel, line, col)
		{
			obj = document.getElementById("draw_" + panel + "_" + fix_digits_3(line) + "_" + fix_digits_3(col));

			if(status == "stift")
				obj.className = "filled";
			if(status == "radierer")
				obj.className = "empty";
			if(status == "text")
				fill_text(panel, line, col);
		}

		function fill_over(panel, line, col)
		{
			if(mouseclicked)
				fill_click(panel, line, col);
/*
			if(status == "stift-fill")
				obj.style.background='#DD0000';
			if(status == "radierer-fill")
				obj.style.background='#444444';
*/
		}

		function fill_text(panel, line, col)
		{
			text = document.getElementById("schreibtext").value;

			ind = document.getElementById("schreibfont").selectedIndex;
			font = document.getElementById("schreibfont").options[ind].value;

			zeichen = text.split("");
			links = col;
			for(i = 0; i < zeichen.length; i++)
			{
				if(myfonts[font][zeichen[i]] == undefined)
				{
					alert("Zeichen '" + zeichen[i] + "' in dieser Schriftart nicht vorhanden!");
					return;
				}
				pixelzeichen = myfonts[font][zeichen[i]];
				for(breite = 0; breite < pixelzeichen.length; breite++)
				{
					for(hoehe = 0; hoehe < <?php echo NUM_LINES; ?>; hoehe++)
					{
						obj = document.getElementById("draw_" + panel + "_" + fix_digits_3(hoehe) + "_" + fix_digits_3(links));
						ind = hoehe + (<?php echo NUM_LINES; ?> - line - 1);
						if(ind >= 0 && ind < <?php echo NUM_LINES; ?>)
						{
							if(pixelzeichen[breite][ind] == 1)
								obj.className = "filled";
							else
								obj.className = "empty";
						}
					}
					links ++;
				}
				for(hoehe = 0; hoehe < <?php echo NUM_LINES; ?>; hoehe++)
				{
					obj = document.getElementById("draw_" + panel + "_" + fix_digits_3(hoehe) + "_" + fix_digits_3(links));
					ind = hoehe + (<?php echo NUM_LINES; ?> - line - 1);
					if(ind >= 0 && ind < <?php echo NUM_LINES; ?>)
						obj.className = "empty";
				}
				links ++;
			}
		}

		function set_info(text)
		{
//			document.getElementById("infotext").innerHTML = text;
		}

		function body_mouse_down()
		{	
			mouseclicked = true;
		}

		function body_mouse_up()
		{	
			mouseclicked = false;
		}

		tabgroup_size = new Array(5, 2, 2);

		function tab_nav(tabgroup, selected)
		{	
			for(i = 0; i < tabgroup_size[tabgroup]; i++)
			{
				document.getElementById("tab_nav_" + tabgroup + "_" + i).className = "none";
				document.getElementById("tab_content_" + tabgroup + "_" + i).style.display = "none";
			}
			document.getElementById("tab_nav_" + tabgroup + "_" + selected).className = "active";
			document.getElementById("tab_content_" + tabgroup + "_" + selected).style.display = "block";
		}

	//-->
	</script>

</head>
<body>

	<h1>miniPOV - codegenerator</h1>

	<div style="width:90%; height:240px; overflow:auto; margin-bottom: 10px;">
		<div id="zeichenblock" style="width:4000px; height:210px;" class="stift">

		<?php

			define("NUM_LINES", 8);
			define("NUM_COLS", 50);

			echo '<table class="display">';
			echo '<tr class="other_area">';
			for($col = 0; $col < NUM_COLS; $col ++)
			{
				echo '<td style="background: white; font-size: 10px; text-align:center;">'.($col+1).'</td>';
			}
			echo '</tr>';
			for($line = 0; $line < NUM_LINES; $line ++)
			{
				echo '<tr class="draw_area">';
				for($col = 0; $col < NUM_COLS; $col ++)
				{
					echo '<td id="draw_0_'.sprintf("%03d", $line).'_'.sprintf("%03d", $col).'" onclick="fill_click(0, '.$line.', '.$col.');" onmouseover="fill_over(0, '.$line.', '.$col.');" class="empty"></td>';
				}
				echo '</tr>';
			}
			echo '<tr id="text_here_area" style="display: none;" class="other_area">';
			for($col = 0; $col < NUM_COLS; $col ++)
			{
				echo '<td style="cursor: pointer" onclick="fill_text(0, '.$col.');"><img src="./text_here.png" border="0" /></td>';
			}
			echo '</tr>';
			echo '</table>';

		?>
		</div>
	</div>

	<span id="infotext"></span>

	<ul class="tab_nav">
		<li id="tab_nav_0_0" onclick="tab_nav(0, 0); status = 'stift'; document.getElementById('zeichenblock').className='stift';"><img src="./paint.png" border="0" /> Pixel malen</li>
		<li id="tab_nav_0_1" onclick="tab_nav(0, 1); status = 'text'; document.getElementById('zeichenblock').className='text';"><img src="./fonts.png" border="0" /> Text einfügen</li>
		<li id="tab_nav_0_2" onclick="tab_nav(0, 2); status = 'none'; document.getElementById('zeichenblock').className='none';"><img src="./filesave.png" border="0" /> Speichern/Laden</li>
		<li id="tab_nav_0_3" onclick="tab_nav(0, 3); status = 'none'; document.getElementById('zeichenblock').className='none';"><img src="./configure.png" border="0" /> Einstellungen</li>
		<li id="tab_nav_0_4" onclick="tab_nav(0, 4); status = 'none'; document.getElementById('zeichenblock').className='none';"><img src="./connect.png" border="0" /> Gerät programmieren</li>
	</ul>
	<div class="tab_seperator"></div>
	<div class="tab_content" id="tab_content_0_0">
		<h3>Pixel malen</h3>
		Werkzeug wählen:<br />
		<ul class="tab_nav">
			<li id="tab_nav_1_0" onclick="tab_nav(1, 0); status = 'stift'; document.getElementById('zeichenblock').className='stift';"><img src="./paint.png" border="0" /> Malstift</li>
			<li id="tab_nav_1_1" onclick="tab_nav(1, 1); status = 'radierer'; document.getElementById('zeichenblock').className='radierer';"><img src="./eraser.png" border="0" /> Radierer</li>
		</ul>
		<div class="tab_seperator" style="height: 100px;"></div>
		<div class="tab_content" id="tab_content_1_0" style="height: 100px; width: 250px;">
			Malstift aktiv. <br />Pixel anklicken, um es zu füllen.
		</div>
		<div class="tab_content" id="tab_content_1_1" style="height: 100px; width: 250px;">
			Radierer aktiv. <br />Pixel anklicken, um es zu löschen.
		</div>
		<div class="tab_end"></div>
		<br />
		<br />
		<span class="button" onclick="if(confirm('wirklich alles löschen?')) location.href='';"><img src="./eraser.png" border="0" /> alles löschen</span>
	</div>
	<div class="tab_content" id="tab_content_0_1">
		<h3>Text einfügen</h3>
		Zuerst Text hier eingeben:
		<input type="text" id="schreibtext" size="20" /><br />
		<br />
		Schriftart auswählen:
		<select id="schreibfont">
			<option value="normal">Standard</option>
			<option value="bit3">Bit 3</option>
		</select><br />
		<br />
		und dann ein Pixel anklicken, um den Text an dieser Stelle einzufügen.<br />
		(Der geklickte Punkt ist links unten.)
	</div>
	<div class="tab_content" id="tab_content_0_2">
		<h3>Speichern/Laden</h3>
		<ul class="tab_nav">
			<li id="tab_nav_2_0" onclick="tab_nav(2, 0);"><img src="./filesave.png" border="0" /> Speichern</li>
			<li id="tab_nav_2_1" onclick="tab_nav(2, 1);"><img src="./fileopen.png" border="0" /> Laden</li>
		</ul>
		<div class="tab_seperator" style="height: 200px;"></div>
		<div class="tab_content" id="tab_content_2_0" style="height: 200px; width: 350px;">
			Name angeben
		</div>
		<div class="tab_content" id="tab_content_2_1" style="height: 200px; width: 350px;">
			Auswählen
		</div>
		<div class="tab_end"></div>
	</div>
	<div class="tab_content" id="tab_content_0_3">
		<h3>Einstellungen</h3>
		Richtung: Links / Rechts<br />
		Anzahl der verschiedenen Inhalte<br />
		Inhalte wechseln: nacheinander / zufällig<br />
	</div>
	<div class="tab_content" id="tab_content_0_4">
		<h3>Gerät programmieren</h3>
		miniPOV in den Programmiersockel stecken und dann hier klicken:<br />
		<span class="button"><img src="./connect.png" border="0" /> Programmiervorgang starten</span>
	</div>
	<div class="tab_end"></div>

	<hr />
	<div align="center">
		cc-by-sa - 
		Andreas Brandstätter - 
		http://wiki.happylab.at/w/miniPOV
	</div>

	<script type="text/javascript">
	<!--
		document.addEventListener('mousedown', body_mouse_down, true);
		document.addEventListener('mouseup', body_mouse_up, true);

		tab_nav(0, 0);
		tab_nav(1, 0);
		tab_nav(2, 0);

//		tab_nav(0, 1);
//		document.getElementById('text_here_area').style.display = 'table-row';
	//-->
	</script>

</body>
</html>
